#!/bin/bash

CONFDIR=typo3conf
DATABASEFILE=database.sql
CONFIGFILE=${CONFDIR}/localconf_DBPREFIX.php

if [ "$1" == "" ]; then 
    echo "Usage $0 <tableprefix>"
    echo "Example $0 typo3"
    echo "Modifies table be_groups into typo3_be_groups"
    exit -1
fi

TABLEPREFIX="${1}"

echo "Creating SQL file for table prefix ${TABLEPREFIX}"

TARGETFILE="${TABLEPREFIX}_${DATABASEFILE}"

echo -n "Check if ${CONFIGFILE} already exists: ";
if [ -f "${CONFIGFILE}" ]; then 
    echo "yes"; 
    echo "Refusing to overwrite ${CONFIGFILE}";
    exit -1;
else
    echo "not yet";
fi

echo -n "Creating ${TARGETFILE} with table prefix ${TABLEPREFIX}: ";
sed "s/CREATE TABLE /CREATE TABLE ${TABLEPREFIX}_/g" < ${CONFDIR}/${DATABASEFILE} > ${CONFDIR}/${TARGETFILE}
echo "done"

echo -n "Creating ${CONFIGFILE} "
echo "<?php" >  ${CONFIGFILE};
echo "# This prefix is used when accessing the database" >>  ${CONFIGFILE};
echo "\$typo_db_tableprefix='${TABLEPREFIX}_'" >>  ${CONFIGFILE};
echo "?>" >>  ${CONFIGFILE};
echo "done"

